<template>
  <div class="row classify-items-block">
    <div class="col-12 classify-items-block__title">Classify Items</div>
    <div class="col-12 classify-items-block__select">
      <div class="form-group">
        <select
          class="form-control form-group--border"
          v-model="tab"
        >
          <option value="view_all_item">View All Items</option>
          <option value="doing_item">Doing Items</option>
          <option value="completed_item">Completed Items</option>
          <option value="deleted_item">Deleted Items</option>
        </select>
      </div>
    </div>
    <div class="col-12 classify-items-block__list-item" v-if="todo_list_render.length > 0">
      <div class="each-items-classified" v-for="(item, index) in todo_list_render" v-bind:key="index"  v-bind:style="set_up_color(item.status)">
        <div class="each-items-classified__name">{{item.name}}</div>
        <div class="each-items-classified__status">{{item.status}}</div>
      </div>
    </div>
    <div class="col-12 classify-items-block__list-item" v-else>
      <p class="classify-items-block__list-item--center">Todo list is empty!!!</p>
    </div>
  </div>
</template>

<script>
import "./scss/ClassifyItems.scss";
export default {
  name: "ClassifyItems",
  props: {
    todo_list: {
      type: Array,
      default: () => [],
    },
  },
  data() {
    return {
      tab: "view_all_item",
      todo_list_render: [...this.todo_list],
      color: "green"
    };
  },
  methods: {
    set_up_color(status){
      if (status == "COMPLETED"){
        return {
          backgroundColor: "#5b9eed",
          borderColor: "#5b9eed"
        }
      }
      else if (status == "DELETED"){
        return {
          backgroundColor: "red",
          borderColor: "red"
        }
      }
      else{
        return {
          backgroundColor: "orange",
          borderColor: "orange"
        }
      }
    }
  },
  watch: {
    tab: function(val){
      if (val == "view_all_item"){
        this.todo_list_render = [...this.todo_list];
      }
      else if (val == "doing_item"){
        this.todo_list_render = this.todo_list.filter(item => item.status == "DOING");
      }
      else if (val == "completed_item"){
        this.todo_list_render = this.todo_list.filter(item => item.status == "COMPLETED");
      }
      else if (val == "deleted_item"){
        this.todo_list_render = this.todo_list.filter(item => item.status == "DELETED");
      }
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
